DCPOSN(1)

NAME
dcposn - ACR/NEMA DICOM PS3 ... DICOM PS3 - DICOM locate position

SYNOPSIS

dcposn [ -col|x n ] [ -row|y n ] [ -v|verbose ] [ -filename ]

DESCRIPTION

dcposn reads the named dicom input file and locates the requested image pixel position in 3D space using the attributes of the Image Plane module (Image Position Patient and Image Orientation Patient) if present.

The spatial position is described as patient (not gantry) relative x, y and z co-ordinates, where x is +ve leftwards, y is +ve anteriorly and z is +ve cranially.

OPTIONS
The co-ordinates and verbose output go to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-col|x n -row|y n
    The specified image pixel position begins from 0 in the top left hand corner of the image.

-verbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading and once read.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

ENVIRONMENT

EXAMPLES

%dcposn -x 0 -y 0 expmeta.dc3
Row=0 Col=0 X=45.0 Y=-119.5 Z=119.5

FILES

SEE ALSO
dcintro(1)

AUTHOR
Copyright (c) 1993-2022, David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS
This program really only exists for automated testing of the image plane module.